Subject: Re: [Intel-wired-lan] [PATCH iwl-next v5 00/12] Add support for Rx timestamping for both ice and iavf drivers.

From: Rahul Rameshbabu <[email-masked]>
Date: Mon, 22 Apr 2024 22:57:08 -0700

On Mon, 22 Apr, 2024 11:37:14 +0200 Mateusz Polchlopek <[email-masked]> wrote:
> On 4/18/2024 10:19 PM, Rahul Rameshbabu wrote:
>> On Thu, 18 Apr, 2024 01:24:48 -0400 Mateusz Polchlopek
>> <[email-masked]> wrote:
>>> Initially, during VF creation it registers the PTP clock in
>>> the system and negotiates with PF it's capabilities. In the
>>> meantime the PF enables the Flexible Descriptor for VF.
>>> Only this type of descriptor allows to receive Rx timestamps.
>>>
>>> Enabling virtual clock would be possible, though it would probably
>>> perform poorly due to the lack of direct time access.
>>>
>>> Enable timestamping should be done using SIOCSHWTSTAMP ioctl,
>>> e.g.
>>> hwstamp_ctl -i $VF -r 14
>>>
>>> In order to report the timestamps to userspace, the VF extends
>>> timestamp to 40b.
>>>
>>> To support this feature the flexible descriptors and PTP part
>>> in iavf driver have been introduced.
>>>
>>> ---
>> Just one general/cosmetic comment. It might make more sense for the
>> Reviewed-by: trailer to come after the Signed-off-by: trailer, since the
>> review happens after the patches have been written.
>> --
>> Thanks,
>> Rahul Rameshbabu
>
> Hmmm... I think that the Signed-off-by added by sender should be the
> last one on the list if there is Co-developed-by before.

Sorry, my bad, I should have expressed this better. On the first patch
for example.

My expectation for the trailer order would have been the following.

  Signed-off-by: Jacob Keller <[email-masked]>
  Reviewed-by: Wojciech Drewek <[email-masked]>
  Signed-off-by: Mateusz Polchlopek <[email-masked]>

instead of

  Reviewed-by: Wojciech Drewek <[email-masked]>
  Signed-off-by: Jacob Keller <[email-masked]>
  Signed-off-by: Mateusz Polchlopek <[email-masked]>

I think for the ones with Co-developed-by:, you are right that the
ordering would be strange to re-arrange.

--
Thanks,

Rahul Rameshbabu